# -*- coding: utf-8 -*-
"""
Spyder Editor

This is a temporary script file.
"""

HEAVIER = 0
LIGHTER = 1
SAMEWEIGHT = 2

def place_in_scale(group1: list, group2: list) -> int:
    ''' This returns true if group1 is heavier,
        False otherwise. The groups are made of
        the same number of objects.'''
    if group1 > group2:
        return HEAVIER
    elif group1 == group2:
        return SAMEWEIGHT
    else:
        return LIGHTER


def check_group(group: list):
    if place_in_scale(group[0], group[1]) == HEAVIER:
        return group[0]
    else:
        return group[1]

def main(marbles: list):
    ''' Gets a group of six marbles and returns the one
        that is heavier. The group is a list with the
        weights of the marbles. We cannot use max.'''
    group1 = marbles[0:2]
    group2 = marbles[2:4]
    group3 = marbles[4:]
    group1_vs_group2 = place_in_scale (group1, group2)
    if  group1_vs_group2 == HEAVIER:
        return check_group(group1)
    elif group1_vs_group2 == LIGHTER:
        return check_group(group2)
    elif group1_vs_group2 == SAMEWEIGHT:
        return check_group(group3)
